com.genesyslab.wfm7.API.service.config712

## Class CfgAgentSkill

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config712.CfgAgentSkill

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgAgentSkill
      extends java.lang.Object
      implements java.io.Serializable

  Agent Skill information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `gswSkillId` Skill ID identifies CfgSkill object
    `private int` | `gswSkillLevel` Skill Level
    `private boolean` | `wmSkillOn` Skill is enabled (true/false)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgAgentSkill()`
    `CfgAgentSkill(int gswSkillId, int gswSkillLevel, boolean wmSkillOn)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getGswSkillId()` Gets the gswSkillId value for this CfgAgentSkill.
    `int` | `getGswSkillLevel()` Gets the gswSkillLevel value for this CfgAgentSkill.
    `int` | `hashCode()`
    `boolean` | `isWmSkillOn()` Gets the wmSkillOn value for this CfgAgentSkill.
    `void` | `setGswSkillId(int gswSkillId)` Sets the gswSkillId value for this CfgAgentSkill.
    `void` | `setGswSkillLevel(int gswSkillLevel)` Sets the gswSkillLevel value for this CfgAgentSkill.
    `void` | `setWmSkillOn(boolean wmSkillOn)` Sets the wmSkillOn value for this CfgAgentSkill.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gswSkillId

          private int gswSkillId

      Skill ID identifies CfgSkill object

    - #### gswSkillLevel

          private int gswSkillLevel

      Skill Level

    - #### wmSkillOn

          private boolean wmSkillOn

      Skill is enabled (true/false)

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgAgentSkill

          public CfgAgentSkill()

    - #### CfgAgentSkill

          public CfgAgentSkill(int gswSkillId,
                       int gswSkillLevel,
                       boolean wmSkillOn)

  - ### Method Detail

    - #### getGswSkillId

          public int getGswSkillId()

      Gets the gswSkillId value for this CfgAgentSkill.
      Returns:
        gswSkillId

    - #### setGswSkillId

          public void setGswSkillId(int gswSkillId)

      Sets the gswSkillId value for this CfgAgentSkill.
      Parameters:
        `gswSkillId` -

    - #### getGswSkillLevel

          public int getGswSkillLevel()

      Gets the gswSkillLevel value for this CfgAgentSkill.
      Returns:
        gswSkillLevel

    - #### setGswSkillLevel

          public void setGswSkillLevel(int gswSkillLevel)

      Sets the gswSkillLevel value for this CfgAgentSkill.
      Parameters:
        `gswSkillLevel` -

    - #### isWmSkillOn

          public boolean isWmSkillOn()

      Gets the wmSkillOn value for this CfgAgentSkill.
      Returns:
        wmSkillOn

    - #### setWmSkillOn

          public void setWmSkillOn(boolean wmSkillOn)

      Sets the wmSkillOn value for this CfgAgentSkill.
      Parameters:
        `wmSkillOn` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.